#ifndef __NU32v2_NU32v2_H
#define __NU32v2_NU32v2_H

#define LED0     LATGbits.LATG12
#define LED1     LATGbits.LATG13
#define SW       PORTGbits.RG6
#define SYS_FREQ 80000000  				// 80 MHz

#define DESIRED_BAUDRATE_NU32 115200	// Baudrate

// LEDs and bootloader switch
void initLEDs(void);

// Serial Functions
void initSerialNU32v2();
void WriteString(UART_MODULE id, const char *string);
void PutCharacter(UART_MODULE id, const char character);
char RS232_Out_Buffer[32];  // Buffer for sprintf in serial communication

#endif // __NU32v2_NU32v2_H

